      function f_pd(f) ! bernd berg aug 10 1998.
c variance ratio probability density.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      common /parft/ nf1,nf2
      f1h=half*nf1
      f2h=half*nf2
      y=f1h*f/f2h
      fh=f1h+f2h
      f_pd=f1h*exp(-gamma_ln(f1h)-gamma_ln(f2h)+gamma_ln(fh))*
     &     y**(f1h-one)*(y+one)**(-fh)/f2h
      return
      end   
